#Import psi::sim library
namespace import psi::sim::*

#Set library
add_library evr320

#suppress messages
compile_suppress 135,1236
run_suppress 8684,3479,3813,8009,3812


# EVR320 Decoder
add_sources $LibPath/Firmware/VHDL/evr320/hdl {
	evr320_pkg.vhd \
	evr320_buffer.vhd \
	evr320_dpram.vhd \
	evr320_timestamp.vhd \
	evr320_decoder.vhd \
  evr320_data_filter.vhd \
} -tag evr320_decoder

# EVR320 Decoder Testbench
add_sources $LibPath/Firmware/VHDL/evr320/tb {
	evr320_decoder_tb.vhd \
} -tag evr320_decoder_tb

# setup tb runs
create_tb_run "evr320_decoder_tb"
add_tb_run

# IFC1210 Bindings
add_sources $LibPath/Firmware/VHDL/evr320/hdl {
	v6vlx_gtxe1_pkg.vhd \
	v6vlx_gtxe1_101MHz27_1Gbps0127.vhd \
	v6vlx_gtxe1_142MHz8_2Gbps856.vhd \
	v6vlx_gtxe1_sync.vhd \
	v6vlx_gtxe1_wrapper.vhd \
	evr320_tmem.vhd \
	evr320_ifc1210_wrapper.vhd \
} -tag evr320_ifc1210

# psi_common dependency:
add_sources $LibPath/Firmware/VHDL/psi_common/hdl {
  psi_common_array_pkg.vhd \
  psi_common_math_pkg.vhd \
  psi_common_logic_pkg.vhd \
  psi_common_sdp_ram.vhd \
  psi_common_pulse_cc.vhd \
  psi_common_async_fifo.vhd \
  psi_common_clk_meas.vhd \
} -tag psi_common

# tosca2_glb_pkg dependency
add_library tosca2

add_sources $LibPath/BoardSupport/IFC1210/tosca2/hdl/top_ip/src {
  tosca2_glb_pkg.vhd \
}

