# Library Path
set LibPath "../../../.."

# Compile UVVM library (if necessary):
# -------------------------------------------------------
set uvvm_lib $LibPath/Firmware/VHDL/UVVM/uvvm_util/sim/uvvm_util/
# compile lib if folder not exist:
#if {![file isdirectory $uvvm_lib]} {
  # copy adapted pkg:
  # comment the line after because adaptation pkg is in uvvm_util lib already... stef.b
  #file copy -force ../tb/adaptations_pkg.vhd $LibPath/Firmware/VHDL/UVVM/uvvm_util/src/
  set last_dir [pwd]
  cd $LibPath/Firmware/VHDL/UVVM/uvvm_util/script/
  do compile_src.do
  cd $last_dir
#}
vmap uvvm_util $LibPath/Firmware/VHDL/UVVM/uvvm_util/sim/uvvm_util/
# -------------------------------------------------------


# Check if running in jenkins environment
if [info exists env(JENKINS_HOME)] {
    set jenkins 1
} else {
    set jenkins 0
}

# map different libraries when running on jenkins machine:
if {$jenkins == 1} {
    vmap unisim /home/modelsim/xilinx_libs/13.4/unisim
    vmap xilinxcorelib /home/modelsim/xilinx_libs/13.4/xilinxcorelib
    vmap secureip /home/modelsim/xilinx_libs/13.4/secureip
} else {
    #vmap unisim C:/Xilinx/13.4/ISE_DS/ISE/vhdl/mti_se/10.3c/nt64/unisim
    vmap unisim C:/Xilinx/13.4/ISE_DS/ISE/vhdl/mti_se/10.6/nt/unisim
    #vmap xilinxcorelib C:/Xilinx/13.4/ISE_DS/ISE/vhdl/mti_se/10.3c/nt64/xilinxcorelib
    vmap xilinxcorelib C:/Xilinx/13.4/ISE_DS/ISE/vhdl/mti_se/10.6/nt/xilinxcorelib
    #vmap secureip C:/Xilinx/13.4/ISE_DS/ISE/vhdl/mti_se/10.3c/nt64/unisim
    vmap secureip C:/Xilinx/13.4/ISE_DS/ISE/vhdl/mti_se/10.6/nt/unisim
}

#Load dependencies TODO
source $LibPath/Firmware/TCL/PsiSim/PsiSim.tcl

#Import psi::sim library
namespace import psi::sim::*

#Initialize Simulation
init

#Configure
source ./config.tcl

# Run Simulation
puts "------------------------------"
puts "-- Compile"
puts "------------------------------"
clean_libraries -all
compile_files -tag psi_common
compile_files -tag evr320_decoder
compile_files -tag evr320_decoder_tb
compile_files -lib tosca2
compile_files -tag evr320_ifc1210
#compile_files -lib evr320

run_tb -all
run_check_errors "###ERROR###"
